Powershell 4.0 valmis

Nüüd juba mõned päevad on kättesaadav Windows Management Framework 4.0 (WMF 4.0), sealhulgas Powershell 4.  Tasub tähele panna, et WMF 4.0 eeldab .NET Framework 4.5 olemasolu, mis Windows 8/Server 2012-l on juba olemas, aga varasematele versioonidele tuleb peale panna.

Powershell 4 mootor võib töötada paralleelselt Powershell 2 mootoriga (kui see on eelnevalt olemas), küll aga vahetatakse välja Powershell 3 mootor.  Oluline on see neile, kes haldavad Powershelli vahendusel vanemaid rakendusi, nagu Exchange 2007/2010, Sharepoint 2010 vms.

Windows 8-le seda pakki peale panna ei saa, tuleb masin uuendada Windows 8.1 peale.  Häda vaid selles, et hulgilitsentsiga aktiveeritud Enterprise/Pro versiooni omanikud, ei saa seda uuendust poest, vaid peavad uuendamise teistmoodi läbi viima.  Ja kui kavatsed Windows 7 uuendada Windows 8-ks, siis soovitatakse WMF 4.0 selleks ajaks maha võtta.

Windows Server 2008 peab leppima WMF 3.0-ga.  Ja kui masinas on juba olemas WMF 4.0 eelvaade, siis see tuleb enne maha võtta.

Advertisements